glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< unsigned long > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< unsigned long >:
[legend]

## Public Types
typedef unsigned long | CppType
typedef gulong | CType

## Public Member Functions
void | set (unsigned long data)
unsigned long | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase ()
void | init (GType type)
| Setup the GValue for storing the specified type.
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value.
void | reset ()
| Reset contents to the default value of its type.
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()

## Additional Inherited Members
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

typedef unsigned long Glib::Value< unsigned long >::CppType

typedef gulong Glib::Value< unsigned long >::CType

## Member Function Documentation

unsigned long Glib::Value< unsigned long >::get | ( |  | ) | const

void Glib::Value< unsigned long >::set | ( | unsigned long | data | ) |

static GType Glib::Value< unsigned long >::value_type | ( |  | ) |
| static